LibOFX: OfxMainContainer Class Reference

LibOFX

Public Member Functions
OfxMainContainer Class Reference

The root container. Created by the <OFX> OFX element or by the export functions. More...

Inheritance diagram for OfxMainContainer:

## Public Member Functions
| OfxMainContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
int | add_container (OfxGenericContainer *container)
int | add_container (OfxStatementContainer *container)
int | add_container (OfxAccountContainer *container)
int | add_container (OfxTransactionContainer *container)
int | add_container (OfxSecurityContainer *container)
int | add_container (OfxPositionContainer *container)
int | gen_event ()
| Generate libofx.h events. More...
OfxSecurityData * | find_security (std::string unique_id)
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
virtual void | add_attribute (const std::string identifier, const std::string value)
| Add data to a container object. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Additional Inherited Members
Data Fields inherited from OfxGenericContainer
std::string | type
std::string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

The root container. Created by the <OFX> OFX element or by the export functions.

The OfxMainContainer maintains trees of processed ofx data structures which can be used to generate events in the right order, and eventually export in OFX and QIF formats and even generate matching OFX queries.

Definition at line 289 of file ofx_containers.hh.

## Member Function Documentation

## ◆ gen_event()

int OfxMainContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 183 of file ofx_container_main.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_container_main.cpp